Skip to main content
GET
List appointments for a contact

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Path Parameters

id
string
required

Contact id.

Example:

"ph77c0dy0mgdpzmqz6tesry8w184002s"

Query Parameters

workspace_id
string

Optional workspace override. If omitted, Conduit resolves the contact's workspace automatically.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

limit
integer

Page size. Defaults to 20. Max 100.

Required range: 1 <= x <= 100
cursor
string
order
enum<string>

Sort direction. Defaults to desc.

Available options:
asc,
desc
status
enum<string>

Filter by appointment status. Use completed, no_show, cancelled, or rescheduled to compute booking efficacy rates.

Available options:
awaiting_response,
awaiting_confirmation,
confirmed,
cancelled,
completed,
no_show,
rescheduled
start_after
string<date-time>

Only return appointments scheduled at or after this ISO 8601 timestamp.

start_before
string<date-time>

Only return appointments scheduled strictly before this ISO 8601 timestamp.

Response

Contact appointments

Cursor-paginated appointments response.

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required